package org.fouram.service;

import java.util.Date;
import java.util.List;

import org.fouram.core.base.service.BaseService;
import org.fouram.core.plugin.weixin.cp.util.WXCpOaUtil;
import org.fouram.entity.SapApprovalInfo;
import org.springframework.stereotype.Service;

@Service
public class SapApprovalInfoService extends BaseService {

	public void saveApprovalInfos(Date startDate, Date endDate) throws Exception {
		List<SapApprovalInfo> approvalInfos = WXCpOaUtil.getApprovalDetailList(startDate, endDate);
		System.out.println(approvalInfos.size());
		for (SapApprovalInfo approvalInfo : approvalInfos) {
			save("SapApprovalInfoMapper.save", approvalInfo);
		}
	}
}
